Subject: Re: bug#73181: guix-daemon fails when invoking‘guix authenticate’ on the Hurd

From: <[email-masked]>
Date: Tue, 05 Nov 2024 16:41:47 +0100

Ludovic Courtès writes:

Hi!

> <[email-masked]> skribis:
>
>> Anyway, using this patch 0001 it seems that suppressing the warnings
>> works, I no longer get
>>
>> "GC Warning: Repeated allocation of very large block (appr. size 112
>> KiB):\n\tMay lead to memory leak and poor performance\n"
>>
>>
>> but still get
>>
>> unexpected build daemon error: stoi
>
> Damnit.  Could you check with rpctrace what the daemon receives?
>
> I wonder if I misunderstood what the root cause is.

Yes :-(  I captured a `guix offload test' run, see attached.

>> From 3d399e51104171ad328bea66ebdc1d6b0ac99685 Mon Sep 17 00:00:00 2001
>> Message-ID: <[email-masked]>
>> From: Janneke Nieuwenhuizen <[email-masked]>
>> Date: Mon, 4 Nov 2024 14:54:55 +0100
>> Subject: [PATCH 1/3] guile: Silence GC warnings on the Hurd.
>> * gnu/packages/aux-files/guile-launcher.c (no_warnings)[__GNU__]: New
>> function.
>> (main)[__GNU__]: Use it to silence libgc warnings.
>>
>> Co-authored-by: Ludovic Courtès <[email-masked]>.
>> Change-Id: I8f30732d192ce46144da4a1a081813a104a5f376
>
> LGTM.

Do we want to push this...as it doesn't really

>> This should work around <https://issues.guix.gnu.org/73181>, resurrecting
>> offloading to the Hurd.

just yet.

>>  #if defined __GNU__
>> +  /* Try to install the C locale; remain silent if it fails.  */
>> +  setlocale (LC_ALL, "C");
>
> This I’d rather avoid, unless we have a good understanding of why this
> would help.

Yes, that was clear to me; just wanted to have this data point :)

> Thanks for working on it!

Yeat it's not much work, it just takes such a long wait each time.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com